### Function

# Gck Module initialize

#### Declaration [src]

    GckModule*
    gck_module_initialize (
      const gchar* path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load and initialize a PKCS#11 module represented by a GckModule object.

#### Parameters

`path`

  Type: `const gchar*`

  The file system path to the PKCS#11 module to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckModule`

The loaded PKCS#11 module or `NULL` if failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.